Bug 73723 - two bug fixes
two bug fixes
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: iptables (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: wdovlrrw
Ben Levenson
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-09 11:32 EDT by Michael Schwendt
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-13 16:06:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
iptables-tcpmss.patch (550 bytes, patch)
2002-09-09 11:32 EDT, Michael Schwendt
no flags Details | Diff
iptables-matchmac.patch (1.17 KB, patch)
2002-09-09 11:33 EDT, Michael Schwendt
no flags Details | Diff

  None (edit)
Description Michael Schwendt 2002-09-09 11:32:07 EDT
Just in case there is still time left to include these two patches, that would
be appreciated. They are against 1.2.7a, but also work with 1.2.6a. They fix two
bugs in iptables-save and iptables -L.

Version-Release number of selected component (if applicable):
1.2.6a-2

How reproducible:
Always
Comment 1 Michael Schwendt 2002-09-09 11:32:34 EDT
Created attachment 75565 [details]
iptables-tcpmss.patch
Comment 2 Michael Schwendt 2002-09-09 11:33:05 EDT
Created attachment 75566 [details]
iptables-matchmac.patch
Comment 3 Michael Schwendt 2002-10-18 12:34:44 EDT
Changed "Product" from "(null)" to "Psyche".
Comment 4 Michael Schwendt 2002-11-07 06:27:11 EST
Steps to reproduce:

  iptables -N test
  iptables -I test -p tcp --tcp-flags SYN,RST SYN -m tcpmss \
    --mss 6000:6001 -j LOG
  iptables-save | iptables-restore

Results in:

  iptables-restore v1.2.6a: Invalid mss `6001-j' specified
  Try `iptables-restore -h' or 'iptables-restore --help' for more information.

Second case:

  iptables -N test
  iptables -I test -m mac --mac-source 01:02:03:04:05:06 -j LOG
  iptables-save

prints --mac instead of --mac-source. Not serious, but not right either, because
both "iptables -m mac --help" and the manual state --mac-source.


The patches have been integrated up-stream and work for iptables 1.2.5
(Valhalla), iptables 1.2.6a (Psyche), 1.2.7a and CVS.
Comment 5 Bill Nottingham 2003-01-13 16:06:51 EST
Fixed in 1.2.7a-1.

Note You need to log in before you can comment on or make changes to this bug.